
checkEnvironment.*.ignore = false

checkEnvironment.*.message =
\ You are running an old Java Virtual Machine (JVM).
\ We recommend that you download a newer one.
\ Check system requirements for Together.

checkEnvironment.*.option.download = close application and see system requirements
checkEnvironment.*.option.download.action = openURL("http://www.togethersoft.com/together/sysrequire.html"); exitApplication()

checkEnvironment.*.option.continue = continue with old JVM

;checkEnvironment.old11 = !(systemProperty("java.vendor") == "Microsoft*") && versionBelow( systemProperty("java.version"), "1.1.7" )
checkEnvironment.old11 = !(systemProperty("java.vendor") == "Microsoft*") && versionBelow( systemProperty("java.version"), "1.2" )
checkEnvironment.old12 = systemProperty("java.version")=="1.2" || systemProperty("java.version")=="1.2.1"
;checkEnvironment.unknownMS = systemProperty("java.vendor") == "Microsoft*" && systemProperty("com.togethersoft.ms.build") == null
;checkEnvironment.unknownMS.message = Unable to find Microsoft JVM build number
;\ Some old Microsoft JVM versions
;\ may be causing Together to work improperly.
;\ Please use together.exe to launch Together.
;checkEnvironment.oldMS = systemProperty("java.vendor") == "Microsoft*" && systemProperty("com.togethersoft.ms.build") != null && versionBelow(systemProperty("com.togethersoft.ms.build"),"3167")
checkEnvironment.oldMS = systemProperty("java.vendor") == "Microsoft*"

bean_customizer.dialog.resizable      = true
bean_customizer.component.border.type = "none"

genHTML.packages.all = true
genHTML.packages.current = false
genHTML.packages.current_Subpackages = false
genHTML.launchBrowser = true
genHTML.includeDiagrams = true

optionsEditor.level.*.visible = false
optionsEditor.level.$default.name = Default
optionsEditor.level.$default.visible = true
optionsEditor.level.$project.name = Project
optionsEditor.level.$project.visible = true
optionsEditor.level.$diagram.name = Diagram
optionsEditor.level.$diagram.visible = true

# Default UI settings
optionsEditor.view.UI = tabbedPaneNodeUI
optionsEditor.view.orientation = top

ref_searcher_expert.dialog.resizable = false
ref_searcher_expert.dialog.fixed_size = false
ref_searcher_expert.action.finish.default = false

addLinked.superclass = true
addLinked.subclass = false
addLinked.association = false
addLinked.dependency = false
addLinked.other = false
addLinked.distance = 1

newProject.startWizard = false

navigator.auto_synchronize_selection = true

// maximum undo/redo buffer size in kilobytes
application.undo_buffer_size = 4096

// inactivity time in millisec. after which garbage collector is automatically running
application.inactivity_time_to_run_gc = 2500

# button's alignments. can be "left", "right" or "center"

new_diagram_expert.action.cancel.alignment    = "center"
new_diagram_expert.dialog.resizable           = true

new_diagram_expert.component.doc.scrollable   = true
new_diagram_expert.component.type.scrollable  = true

new_diagram_expert.component.doc.border.type  = "etched"
new_diagram_expert.component.name.border.type = "etched"
new_diagram_expert.component.type.border.type = "etched"
new_diagram_expert.component.package.border.type = "etched"


# For some Linux/X11 systems this gives a workaround to the problem
# with generating diagram images in GIF files.
# If you experience that GIF files are fully black or in some other color,
# uncomment this property.
#
;gif.encode.colorMaskShift=16


print.dpi=72

# -- pattern location roots --
pattern.root.1 = %TOGETHER_HOME% + "/modules/com/togethersoft/modules/patterns"
pattern.root.2 = %TOGETHER_HOME% + "/components/com/togethersoft/modules/patterns"
pattern.root.3 = %TOGETHER_HOME% + "/classes/com/togethersoft/modules/patterns"

# -- template location roots --
template.root.1 = %TOGETHER_HOME% + "/templates"

# Default location for new project
# project.new.location moved to general.config

# Default property values for new project
project.default.Language = java

project.lastOpened = $TOGETHER_HOME$/samples/java/CashSales

# About Dialog -- "Support" panel configuration
#
# Fields are self-explanatory.
# There was a request to disable Support panel by default
aboutdialog.sendmail.enabled=false
aboutdialog.sendmail.address.support = "Together Support <support@togethersoft.com>"
aboutdialog.sendmail.address.yourname = "TJ Customer <customer@company.com>"
aboutdialog.sendmail.subject = "Problem report"

aboutdialog.sendmail.host = mail
aboutdialog.sendmail.transport = smtp

aboutdialog.feedback.mail="mailto:support@togethersoft.com"
aboutdialog.feedback.url="http://www.togethersoft.com"
aboutdialog.startup=true

globalsearch.caseSensitive = false
globalsearch.wholeWord = false
globalsearch.limit = 0
globalsearch.useRegexp = false
globalsearch.singleMode = false
globalsearch.globalScope = true
globalsearch.forwardDirection = true
globalsearch.subfolders = true
globalsearch.fileMask1 = *.*
globalsearch.fileMask2 = *.java
globalsearch.fileMask3 = *.cpp
globalsearch.fileMask4 = *.h
